=begin
Copyright 2021, Majid Mahmoudi
All Rights Reserved

Disclaimer
THIS SOFTWARE IS PROVIDED "AS IS" AND WITHOUT ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.

License
This software is distributed under the Smustard End User License Agreement
http://www.smustard.com/eula

Information
Author - Majid Mahmoudi
Organization - Distributed to the Extension Warehouse
Name - MAJ Beam
SU Version - 20.1.235

Description
This plugin will create architectural columns.

Usage
Architectural.

History
0.0.1:: 2021-01-04
   * Original release.  I'm expecting some bugs and feedback.
1.0.1:: 2021-04-04
   * Use "Tab Key" for changing direction
   * Use "shift key" for up/down
   * Use component instance for stirrups
   * Change tags of beam components
   * Showing active keys on "Sketchup status text"
1.0.5:: 2021-05-21
   * Use arrow keys for up/down and changing direction
   * Statue Bar always helps users with state and the active keys.
   * Plugin carefully tested on MAC OS.
=end

module MajidMahmoudi

  module MajBeam            #EDIT
    require 'sketchup.rb'
    require 'extensions.rb'
    NAME = "MAJ_Beam"        #EDIT
    UNAME = "MAJ Beam"       #EDIT
    MENU_NAME = "Column Maker"       #EDIT
    version = "1.0.5"           #EDIT
    desc = "This plugin will make beam with rebars and stittups."
    copy_year = "2021"
    author = "Majid Mahmoudi"

#------edit above---------------------------------------------------------------


    extension = SketchupExtension.new UNAME, NAME+"/"+NAME+"_Data"

    #The name= method sets the name which appears for an extension inside the Extensions Manager dialog.
    extension.name = UNAME

    # The description= method sets the long description which appears beneath an extension inside the Extensions Manager dialog.
    extension.description = desc + "  Access it via Plugins > "+MENU_NAME

    # The version method sets the version which appears beneath an extension inside the Extensions Manager dialog.
    extension.version = version

    # Create an entry in the Extension list that loads a script called
    # stairTools.rb.
    extension.copyright = copy_year

    # The creator= method sets the creator string which appears beneath an extension inside the Extensions Manager dialog.
    extension.creator = author

    # The register_extension method is used to register an extension with SketchUp's extension manager (in SketchUp preferences).
    Sketchup.register_extension( extension, true )

  end
end
